> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Enable/disable sub-account application(s)

PUT https://api.brevo.com/v3/corporate/subAccount/{id}/applications/toggle
Content-Type: application/json

API endpoint for the Corporate owner to enable/disable applications on the
sub-account

Reference: https://developers.brevo.com/reference/enable-disable-sub-account-application-s

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Path parameters

- `id` (long, required) — Id of the sub-account organization (mandatory)

### Body (application/json)

This endpoint expects an object.

- `automation` (boolean, optional) — Set this field to enable or disable Automation on the sub-account
- `conversations` (boolean, optional) — Set this field to enable or disable Conversations on the sub-account
- `crm` (boolean, optional) — Set this field to enable or disable Sales CRM on the sub-account
- `email-campaigns` (boolean, optional) — Set this field to enable or disable Email Campaigns on the sub-account
- `facebook-ads` (boolean, optional) — Set this field to enable or disable Facebook ads on the sub-account
- `inbox` (boolean, optional) — Set this field to enable or disable Inbox on the sub-account / Not applicable on ENTv2
- `landing-pages` (boolean, optional) — Set this field to enable or disable Landing pages on the sub-account
- `meetings` (boolean, optional) — Set this field to enable or disable Meetings on the sub-account
- `sms-campaigns` (boolean, optional) — Set this field to enable or disable SMS Marketing on the sub-account
- `transactional-emails` (boolean, optional) — Set this field to enable or disable Transactional Email on the sub-account
- `transactional-sms` (boolean, optional) — Set this field to enable or disable Transactional SMS on the sub-account
- `web-push` (boolean, optional) — Set this field to enable or disable Web Push on the sub-account
- `whatsapp` (boolean, optional) — Set this field to enable or disable Whatsapp campaigns on the sub-account

## Response

### 204

Sub-account application(s) enabled/disabled

## Errors

### 400 Bad Request Error

bad request

- `code` (enum, required) — Error code displayed in case of a failure
  - Allowed values: `invalid_parameter`, `missing_parameter`, `out_of_range`, `campaign_processing`, `campaign_sent`, `document_not_found`, `not_enough_credits`, `permission_denied`, `duplicate_parameter`, `duplicate_request`, `method_not_allowed`, `unauthorized`, `account_under_validation`, `not_acceptable`, `bad_request`, `unprocessable_entity`, `Domain does not exist`, `Contact email not found`, `Attribute not found`, `Category id not found`, `Invalid parameters passed`, `Record(s) for identifier not found`, `Returned when query params are invalid`, `Returned when invalid data posted`, `Feed not found`, `Campaign ID not found`, `api-key not found`, `DMARC policy requires domain authentication`, `DNS records not properly configured`, `Invalid OTP code provided`, `OTP code has expired`, `Domain already exists in your account`, `The sum of all IP weights must equal 100`, `Authentication failed`, `Insufficient credits`, `Request already processed`
- `message` (string, required) — Readable message associated to the failure

### 403 Forbidden Error

Current account is not a master account

- `message` (string, required) — Readable message associated to the failure
- `code` (string, optional) — Error code displayed in case of a failure

## Examples

**Request**

```json
{
  "landing-pages": true,
  "meetings": true,
  "sms-campaigns": false,
  "web-push": false,
  "whatsapp": true
}
```

**SDK Code**

```typescript
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.masterAccount.enableDisableSubAccountApplicationS({
        id: 1,
        landingPages: true,
        meetings: true,
        smsCampaigns: false,
        webPush: false,
        whatsapp: true,
    });
}
main();

```

```python
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.master_account.enable_disable_sub_account_application_s(
    id=1,
    landing_pages=True,
    meetings=True,
    sms_campaigns=False,
    web_push=False,
    whatsapp=True,
)

```

```php
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\MasterAccount\Requests\PutCorporateSubAccountIdApplicationsToggleRequest;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->masterAccount->enableDisableSubAccountApplicationS(
    1,
    new PutCorporateSubAccountIdApplicationsToggleRequest([
        'landingPages' => true,
        'meetings' => true,
        'smsCampaigns' => false,
        'webPush' => false,
        'whatsapp' => true,
    ]),
);

```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/corporate/subAccount/1/applications/toggle"

	payload := strings.NewReader("{\n  \"landing-pages\": true,\n  \"meetings\": true,\n  \"sms-campaigns\": false,\n  \"web-push\": false,\n  \"whatsapp\": true\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/corporate/subAccount/1/applications/toggle")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"landing-pages\": true,\n  \"meetings\": true,\n  \"sms-campaigns\": false,\n  \"web-push\": false,\n  \"whatsapp\": true\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.brevo.com/v3/corporate/subAccount/1/applications/toggle")
  .header("api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"landing-pages\": true,\n  \"meetings\": true,\n  \"sms-campaigns\": false,\n  \"web-push\": false,\n  \"whatsapp\": true\n}")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/corporate/subAccount/1/applications/toggle");
var request = new RestRequest(Method.PUT);
request.AddHeader("api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"landing-pages\": true,\n  \"meetings\": true,\n  \"sms-campaigns\": false,\n  \"web-push\": false,\n  \"whatsapp\": true\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [
  "landing-pages": true,
  "meetings": true,
  "sms-campaigns": false,
  "web-push": false,
  "whatsapp": true
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/corporate/subAccount/1/applications/toggle")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```